View Issue Details

IDProjectCategoryView StatusLast Update
0014010ScribusImport / Exportpublic2016-05-05 15:58
ReporterBen Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux X86_64OSOpenSuSeOS VersionTumbleweed
Product Version1.5.2.svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0014010: ODT Importer Append completely overwrites text frame
DescriptionUsing the importer "ODT Document" to append text to a text frame with existing content completely overwrites the previous contents of that frame.
Steps To ReproduceCreate a new Scribus document.
Add a text frame & give it some content by typing or import.
With the text frame selected (red outline), use the right mouse button menu to choose "Content --> Append Text..."
select lilo512.odt (the attached) or any convenient .odt file
Click OK.
The former contents of the text frame are completely replaced with the contents of your .odt file.
Additional InformationSaving the file and reopening prior to append doesn't help.
The settings (checked or unchecked) of "Import Text Only" and "Prefix Styles with Item Name" don't matter.
Identical results with input from Apache OpenOffice 3.4.1 and LibreOffice 5.1.2.2.0+, both .odt and .fodt (flat xml)
Behavior seems limited to the "ODT Document" importer, not "OpenOffice.org Writer Documents" or text, html, etc. importers.

Importer name: "ODT Document"
Scribus Version 1.5.2 SVN 21270 ( 1 May 2016 )
Suggested tags: ODF
TagsODF
PatchNo

Activities

Ben

2016-05-01 19:37

reporter  

lilo512.odt (10,684 bytes)

Kunda

2016-05-02 01:42

manager  

append-overwrite-bug.gif (400,273 bytes)
append-overwrite-bug.gif (400,273 bytes)

Kunda

2016-05-02 01:43

manager   ~0040693

Reproduced on OSX 10.10.5 1.5.2svn r21269
Added gif

Kunda

2016-05-05 11:56

manager   ~0040783

Franz committed fix in r21282
Please confirm fix

Ben

2016-05-05 14:01

reporter   ~0040784

Fix confirmed. Thanks.

Kunda

2016-05-05 15:58

manager   ~0040795

Confirmed as well.
Thanks Jeff and Franz!
Closing.

Issue History

Date Modified Username Field Change
2016-05-01 19:37 Ben New Issue
2016-05-01 19:37 Ben File Added: lilo512.odt
2016-05-01 23:25 Kunda Tag Attached: ODF
2016-05-02 01:42 Kunda File Added: append-overwrite-bug.gif
2016-05-02 01:43 Kunda Note Added: 0040693
2016-05-02 01:43 Kunda Status new => confirmed
2016-05-02 01:44 Kunda Target Version => 1.5.3
2016-05-05 09:59 fschmid Target Version 1.5.3 => 1.5.2
2016-05-05 10:00 fschmid Status confirmed => resolved
2016-05-05 10:00 fschmid Fixed in Version => 1.5.2.svn
2016-05-05 10:00 fschmid Resolution open => fixed
2016-05-05 10:00 fschmid Assigned To => fschmid
2016-05-05 11:56 Kunda Note Added: 0040783
2016-05-05 14:01 Ben Note Added: 0040784
2016-05-05 15:58 Kunda Note Added: 0040795
2016-05-05 15:58 Kunda Status resolved => closed